org.vertx.java.core.http.impl

## Class DefaultHttpServer.ServerHandler

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - org.vertx.java.core.http.impl.DefaultHttpServer.ServerHandler

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler

Enclosing class:
  DefaultHttpServer

    public class DefaultHttpServer.ServerHandler
    extends org.jboss.netty.channel.SimpleChannelUpstreamHandler

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`org.jboss.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`DefaultHttpServer.ServerHandler()`

### Method Summary

Methods
`void` `channelClosed(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelStateEvent e)`
`void` `channelConnected(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelStateEvent e)`
`void` `channelInterestChanged(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelStateEvent e)`
`void` `exceptionCaught(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ExceptionEvent e)`
`void` `messageReceived(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.MessageEvent e)`

### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

`channelBound, channelDisconnected, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultHttpServer.ServerHandler

    public DefaultHttpServer.ServerHandler()

### Method Detail

#### messageReceived

    public void messageReceived(org.jboss.netty.channel.ChannelHandlerContext ctx,
                       org.jboss.netty.channel.MessageEvent e)
                         throws java.lang.Exception

Overrides:
  `messageReceived` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`
Throws:
  `java.lang.Exception`

#### exceptionCaught

    public void exceptionCaught(org.jboss.netty.channel.ChannelHandlerContext ctx,
                       org.jboss.netty.channel.ExceptionEvent e)
                         throws java.lang.Exception

Overrides:
  `exceptionCaught` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`
Throws:
  `java.lang.Exception`

#### channelConnected

    public void channelConnected(org.jboss.netty.channel.ChannelHandlerContext ctx,
                        org.jboss.netty.channel.ChannelStateEvent e)

Overrides:
  `channelConnected` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`

#### channelClosed

    public void channelClosed(org.jboss.netty.channel.ChannelHandlerContext ctx,
                     org.jboss.netty.channel.ChannelStateEvent e)

Overrides:
  `channelClosed` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`

#### channelInterestChanged

    public void channelInterestChanged(org.jboss.netty.channel.ChannelHandlerContext ctx,
                              org.jboss.netty.channel.ChannelStateEvent e)
                                throws java.lang.Exception

Overrides:
  `channelInterestChanged` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`
Throws:
  `java.lang.Exception`